:root {
    --black: hsl(0,0%,12%);
    --cascade: hsl(220, 65%, 45%);
    --X: hsl(220, 15%, 15%);
    --Y: hsl(220, 35%, 85%);
    --cascade2: hsl(190, 65%, 65%);
    --cascade3: hsl(340, 65%, 65%);
    --Z: hsl(190, 35%, 85%);
    --spacing: 4rem 2rem;
    --gap: 1rem;
}
body {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    margin: 0;
    padding-top: 3.25rem;
}
div, ul {
    position: relative;
    margin: 0;
    padding: 0;
    gap: var(--gap);
    list-style: none;
    box-sizing: border-box;
    text-align: center;
}
ul a {
    box-sizing: border-box;
    height: 100%;
    width: 100%;
}
span {
    display: inline-block;
}
img, video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    inset: 0;
    border-radius: 1rem;
}
.wallpaper img, .wallpaper video, .eco video {
    border-radius: unset;
}
footer {
    background-color: var(--Z);
    --front: var(--black);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    padding: var(--spacing);
}
footer ul {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    margin: 0 auto;
    text-transform: uppercase;
    font-size: var(--size1);
    gap: 0;
    width: fit-content;
}
footer ul a {
    color: var(--front);
    font-style: italic;
    padding: 0.5rem;
}
footer p {
    color: var(--front);
    text-align: center;
}
footer p a {
    color: var(--front);
    font-style: italic;
    text-decoration: underline;
}
nav {
    --color1: var(--front);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    font-style: italic;
    padding: 1rem 2rem;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: white;
    z-index: 1000;
    box-shadow: 0rem 0.5rem 0.5rem rgba(0,0,0,0.25);
}
nav ul {
    position: absolute;
    display: flex;
    flex-direction: column;
    text-align: start;
    gap: 0.5rem;
    top: -18rem;
    left: 0;
    right: 0;
    padding: 1rem 2rem;
    background-color: white;
    transition: top 0.3s ease-in-out;
    z-index: 100;
    box-shadow: var(--shadow);
    text-transform: uppercase;
}
nav ul.on {
    top: 100%;
}
nav > a, ul a {
    z-index: 99;
    color: var(--color1);
}
nav button {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 0.125rem;
    width: 1.5rem;
    height: fit-content;
    background-color: transparent;
    padding: 0;
    z-index: 101;
}
nav button span {
    width: 100%;
    height: 3px;
    background: var(--black);
    border-radius: 100rem;
}

.content {
    margin: 0 auto;
    max-width: 1078px;
    padding: var(--spacing);
}

.overflow-content {
    display: flex;
    flex-direction: column;
    gap: var(--gap);
    padding-block: 4rem;
}
.overflow-content > *:not(img, .wallpaper, .skip, .scroller, div:has(.scroller), video) {
    margin: 0 auto;
    max-width: 1078px;
    padding-inline: 2rem;
    width: 100%;
    box-sizing: border-box;
}
.overflow-content > img {
    max-height: 75vh;
    width: 100%;
    border-radius: 0;
}
.overflow-content > video {
    border-radius: 0;
}

.wallpaper {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    max-height: 85vh;
    width: 100%;
}
.wallpaper > :is(img, .imgs, video) {
    box-sizing: border-box;
    position: absolute;
}
.wallpaper > *:not(img, .imgs, video) {
    margin: 0 auto;
    max-width: 1078px;
    padding: var(--spacing);
    z-index: 2;
}

.wallpaper:has(video)::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        to top,
        rgba(25,25,25,0.4),
        transparent
    );
    backdrop-filter: blur(0.5rem);
    -webkit-backdrop-filter: blur(0.5rem);
    
    mask-image: linear-gradient(to top, black, rgba(25,25,25,0.4));
    -webkit-mask-image: linear-gradient(to top, black, rgba(25,25,25,0.4));
    z-index: 2;
}

@media (min-width: 768px) { 
    html {
        font-size: 18px;
    }
}